<?php 

session_start();
include_once "configuration.php";
include_once "submission.php";

global $fields, $field_email, $field_fname, $field_lname; 
global $field_keyid;

$guid = PostVal("guid");  // hidden field.

if ($guid <> "")
{
  // from a post, so referring friends
  $rowcount = PostVal("rowcount");
  populate_friends_fields($rowcount);
  $fields["errormessage"] = "";
 
  $errorlist = "";
  $validcnt = 0;
  for($i = 1; $i <= $rowcount; $i++) 
  {
    $cnt = 0;
	  $tmpmsg = "";
	  $email = getkey($field_email.$i, $fields);
	  $fname = getkey($field_fname.$i, $fields);
	  $lname = getkey($field_lname.$i, $fields);
	
	  if ($email == "") 
	  {
	     $tmpmsg .= "<li>Row $i - is missing email address.</li>";
	  }
	  else 
	  {
	  	 $cnt++; 
	  }
	  
	  if ($fname == "") 
	  {
	     $tmpmsg .= "<li>Row $i - is missing your friends first name.</li>";
	  }
	  else 
	  {
	  	 $cnt++; 
    }

	  if ($lname == "") 
	  {
	     $tmpmsg .= "<li>Row $i - is missing your friends last name.</li>";
	  }
	  else 
	  {
	  	 $cnt++; 
    }

	  if ($cnt == 3) $validcnt++;	
	  
	  if (($cnt > 0 && $cnt <> 3))
	  {
	     $errorlist .= $tmpmsg;
	  }
	
	  if (($email <> "") and (validate_address($email) == false))
    {
       $errorlist .= "<li>Row $i - has an invalid Email Address.</li>\n";
    }
    else if (($email <> "") and (validate_domain($email) == false))
    {
	     // verify domain
       $errorlist .= "<li>Row $i - Invalid Email Address Domain.</li>\n";
    }
  }

   
  // verify NOT a bot
  if(($_SESSION['security_code'] == $_POST['security_code']) && (!empty($_SESSION['security_code'])) ) 
  {
      // Insert you code for processing the form here
  } else {
    $ok = false;
    $errorlist .= "<li>Sorry, you have provided an invalid security code.</li>\n";	  
  }
  
  // echo "errorlist" . $errorlist . "<br><br>";
  if (strlen($errorlist) > 0) 
  {
	   $fields["errormessage"] .= "<strong>The following fields have problems:</strong><ul>" . $errorlist . "</ul><br/>";	  
  }
  
  if ((strlen($errorlist) > 0) or ($validcnt == 0))
  {
  	 $fields["friendsadded"] = "";
     include pgSubscribeVerifyDone;
  }
  else 
  {
     // process // need to process the emails, and then send the user along to apropriate form
	   // and of course also email friends
	   save_friends($rowcount);
	   blank_friends_fields($rowcount);
 	   $fields["friendsadded"] = "yes";
     include pgSubscribeVerifyDone;
  }
  //die('here');
}
else 
{
	echo "Blah<br><Br>\n";
   $guid = PostVal("code");  // user entered.	
   if ($guid == "") 
   {
      $guid = GetVal("guid");    // from url, so a link
   }

   

// = GetVal("guid");
  
   if ($guid == "") 
   { 
      populate_friends_fields(20);  // need to do more then expected...  really not required but does create errors in log otherwise.

      include pgSubscribeVerifyRequest;
   }
   else { 
      // have GUID, so can update database
      $ok = subscription_confirmed($guid);
      if ($ok == true) {
	     $fields['guid'] = $guid;
         $fields['errormessage'] = "";
         include pgSubscribeVerifyDone;
	    }
      else 
	    {
         $fields['errormessage'] = "Entry problem:<ul><li>Sorry, you have provided an invalid security code.</li></ul>\n";	  
         include pgSubscribeVerifyRequest;
      }
   }
}
?>
