<?php

function isDate($str) 
{
  // parse date
  
  // yyyy-mm-dd
  
  if (strlen($str) <> 10)
  {
     return false;
     exit;
  }
  
  if (strpos($str, "-", 1) <> 4)
  {
     //echo "postion 1: " . strpos($str, "-", 1). "<br><br>\n";
     return false;
     exit;
  }
  
  if (strpos($str, "-", 6) <> 7)
  {
     //echo "postion 2: " . strpos($str, "-", 6). "<br><br>\n";
     return false;
     exit;
  }
  
  $yyyy = substr($str, 0, 4);
  $mm = substr($str, 5, 2);
  $dd = substr($str, 8, 2);
  
  
  //echo "Year: $yyyy <br><br>\n";
  //echo "Month: $mm <br><br>\n";
  //echo "Day: $dd <br><br>\n";
  // die("here");

  return GetValidDate($yyyy, $mm, $dd);
}  

function GetValidDate($yyear, $mmonth, $dday)
{
//** provide a default value and convert the day of the month given. Day 
//** cannot be less than 1 or greater than 31.

    $day = min(31, max(1, intval($dday)));
	
//** provide a default value and convert the month number given. Month cannot
//** be less than 1 or greater than 12.

    $month = min(12, max(1, intval($mmonth)));
 
//** provide a default value and convert the day of the year number given.

    $year = max(1910, intval($yyear));

//** handle compensating for day runover if the number of days selected is
//** greater than those allowable for the selected month.

    switch($month)
    {
//** if FEBRUARY the selected day must be corrected and a leap year must be
//** acounted for as well.
//** CHANGED JAN 26/2004 - corrected for leap year error.

      case 2 :
        if($day > 28)
          $day = ($year % 4 == 0 && ($year % 100 != 0 || $year % 400 == 0)) ? 29 : 28;
        break;

//** only maximum of thirty days in these months.

      case 4  :  //** APRIL
      case 6  :  //** JUNE
      case 9  :  //** SEPTEMBER
      case 11 :  //** NOVEMBER

        $day = min(30, $day); 
        break;
    }
//** construct the appropriate date timestamp from the parameters provided.

//    return mktime(0, 0, 0, $month, $day, $year);

   return ($year == $yyear) and ($day == $dday) and ($month == $mmonth);

  }
?>

