<?php
  /*
  1. Subscribe
  2. Verify Subscription
  
  3. Unsubscribe / Cancel / Cancelation
  4. Verify Cancelation
  */
  
  // Pages
  define('isDEBUG', "yes");
  define('pgProblem', "/newsletter/Problem.php");

  // Subscription - Request

  define('pgSubscribeMgr', "Index.php");                        // control and initial page.
  define('pgSubscribeRequest', "SubscribeRequest.php");         // Subscription Request
  define('pgSubscribeDone', "/newsletter/SubscribeDone.php");   // Confirmation of Submission (Waiting for notification via email)
  define("pgSubscribeDoneDirect", "SubscribeDoneDirect.php");   // Confirmation of Submission (all done
  
  // Subscription - Confirmation 
  define("pgSubscribeVerifyMgr", "/newsletter/SubscribeVerifyMgr.php"); // control mgr 
  define('pgSubscribeVerifyRequest', "SubscribeVerifyRequest.php");     // manually enter the GUID
  define('pgSubscribeVerifyDone', "SubscribeVerifyDone.php");           // manually enter the GUID done


  // Cancelation - Request
  define('pgCancelMgr', "CancelMgr.php");                  // enter email address to cancel
  define('pgCancelRequest', "CancelRequest.php");          // enter in your email and it sends to a link to unsubscribe.
  define('pgCancelRequestDone', "CancelRequestDone.php");  //
  
  // Cancelation Verification
  define('pgCancelVerifyMgr', "CancelVerifyMgr.php");  // canclation processor  
  define('pgCancelVerifyRequest', "CancelVerifyRequest.php"); // display on Cancel failure
  define('pgCancelVerifyDone', "CancelVerifyDone.php"); // display on Cancel sucess
  
  
  //Pages Read in.   
  define('pgEmailConf', "../newsletter/email_conf.txt");   // TGI uses it from othher paths
  define('pgEmailFriendConf', "../newsletter/email_friendconf.txt");
  define('pgEmailCancelRequest', "../newsletter/email_cancelrequest.txt");
  define('pgEmailCancelConf', "../newsletter/email_cancelconf.txt");

  //
  // Double Opt Configuration
  //
  // not implemented. $requireDoubleOptFriends = true;  // email required to validate submission.
  $requireDoubleOpt = true;         // email for friends reuired (recomended).
  
  
  //
  // Mail Configuration
  //
  $from_email = '"TGI Newsletter" <quentinjs@totalgarage.ca>';  
  $SMTP_Address = "mail.nucleus.com";            // The server to connect. Default is localhost
  $SMTP_Port = 25;                               // The port to connect. Default is 25
  $SMTP_Auth = true;                             // Whether or not to use SMTP authentication. Default is FALSE 
  $SMTP_UserName = "quentinjs@totalgarage.ca";       // The username to use for SMTP authentication. 
  $SMTP_Password = "garage";               // The password to use for SMTP authentication. 
  $EHLO_LocalHost = "localhost";           // The value to give when sending EHLO or HELO. Default is localhost 
  //$params["timeout"] - The SMTP connection timeout. Default is NULL (no timeout) 
  //$params["verp"] - Whether to use VERP or not. Default is FALSE 
  //$params["debug"] - Whether to enable SMTP debug mode or not. Default is FALSE   
  
  $newsletter = "the TGI newsletter";
  
  // Field definitions. Used currently ONLY for field error notification (and reference)
  $allfields = array("fname"=>"First Name", 
                    "lname"=>"Last Name",
					"email"=>"Email Address",
					"bdate"=>"Birth Date",
					"cbfield1"=>"Organization Information",
					"cbfield2"=>"New Product Info",
					"cbfield3"=>"Current Monthly Promotions",
					"cbfield4"=>"Next Month Promotions",
					"cbfield5"=>"",
					"cbfield6"=>"",
					"cbfield7"=>"",
					"cbfield8"=>"",
					"cbfield9"=>"",
					"cbfield10"=>"",
					"text1"=>"",
					"text2"=>"",
					"text3"=>"",
					"text4"=>"",
					"text5"=>"",
					"text6"=>"",
					"text7"=>"",
					"text8"=>"",
					"text9"=>"",
					"text10"=>"",
					"txtdate1"=>"",
					"txtdate2"=>"",
					"txtdate3"=>"",
					"txtdate4"=>"",
					"txtdate5"=>"",
					"memo1"=>"Other information");
					
  // These fields are required fields
  $requiredfields = array("fname", "lname", "email");
  
  // these will not be passed to the database. removed from array first. 
  $protectedfields = array(
            "subscribers_id",
			"createddate",
			"lastupdated",
            "guid",
			"isOptedIn",
			"hasCanceled");

// these are filtered out, and ignored from $fields
  $ignorefields = array("security_code", "keyid", "guid", "state",  "errormessage");
  
  $server = "localhost";
  $username = "newsletter";
  $password = "newsletter";
  $database = "newsletter";
  $tablename = "newsletter";
 
  $field_keyid = "subscribers_id";
  $keyid = "subscribers_id";  // NOTE, will need to be changed in thhe files...
  $field_fname = "fname"; 
  $field_lname = "lname";
  $field_email = "email";
  $field_bdate = "bdate";
  $field_referredby_id = "referredby_id";
  $field_guid = "guid";
  $field_hasCanceled = "hasCanceled";
  $field_hasCanceledDate = "hasCanceledDate";
  $field_isOptedIn = "isOptedIn";
  
  $field_guid = "guid";

  // Database connection
  $dbconn = mysql_connect($server, $username, $password)
   or die('Error: Could not connect: ' . mysql_error());

  // echo 'Connected successfully';
  mysql_select_db($database) or die('Error: Could not select database');

  /*
  *  Table Create syntax
  *
  DROP TABLE IF EXISTS `newsletter`.`subscribers`;
  CREATE TABLE  `newsletter`.`subscribers` (
  `subscribers_id` int(10) unsigned NOT NULL auto_increment,
  `fname` varchar(45) NOT NULL,
  `lname` varchar(45) NOT NULL,
  `email` varchar(45) NOT NULL,
  `bdate` datetime NOT NULL,
  `cbfield1` tinyint(1) default '0',
  `cbfield2` tinyint(1) NOT NULL default '0',
  `cbfield3` tinyint(1) NOT NULL default '0',
  `cbfield4` tinyint(1) NOT NULL default '0',
  `cbfield5` tinyint(1) NOT NULL default '0',
  `cbfield6` tinyint(1) NOT NULL default '0',
  `cbfield7` tinyint(1) NOT NULL default '0',
  `cbfield8` tinyint(1) NOT NULL default '0',
  `cbfield9` tinyint(1) NOT NULL default '0',
  `cbfield10` tinyint(1) NOT NULL default '0',
  `CreateDate` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `LastUpdated` timestamp NOT NULL default '0000-00-00 00:00:00',
  `guid` varchar(45) NOT NULL,
  `isOptedIn` tinyint(1) NOT NULL default '0',
  `hasCanceled` tinyint(1) NOT NULL default '0',
  `referredby_id` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`subscribers_id`)
) ;

  */

  $fields=array();

?>
